/*
*************************************************************
 Copyright (C), 2016-2020 smartlinkMicro. Co., Ltd.  All rights reserved.
 Filename:
 Complier:    ARM-MDK 5.xx
 Target OS:   none
 Target HW:
 Author:        htyi
 Version :      V1.0.0
 Date:
 Description:
 History:
     <author>     <time>     <version >   <desc>

*************************************************************
*/

#include "main.h"
#include "stm32f0xx_conf.h"
#include "usart.h"
#include "types.h"
#include "spi.h"
#include "iic.h"

#include "emv_if.h"  //sl2823接口函数在此emv_if.c实现

int main(void) {
    /* init extern interrupt */
    INT_EXTI_Config();
    uart_init(115200);
    #if defined IIC_Mode
    /* init i2c */
    SL2x23_I2C_Init();
    #elif defined UART_Mode
    #else
    /* init spi */
    DEV_SPI_Init();
    #endif
    //NRSTPD_LOW;
    Init_LED();
    sl2823_test();
}
